Bug 498368 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 01:39 EDT by Matthias Clasen
Modified: 2009-08-10 10:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 20:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (6.37 KB, patch)
2009-04-30 01:39 EDT, Matthias Clasen
no flags Details | Diff
tested patch (8.49 KB, patch)
2009-05-12 15:54 EDT, Matthias Clasen
no flags Details | Diff
specfile changes (1.94 KB, patch)
2009-05-12 15:55 EDT, Matthias Clasen
no flags Details | Diff
ported to 0.92 (9.04 KB, patch)
2009-05-13 19:17 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-04-30 01:39:06 EDT
Created attachment 341866 [details]
patch

here is an untested patch that compiles, but probably needs some work.
Comment 1 Matthias Clasen 2009-05-12 15:54:30 EDT
Created attachment 343654 [details]
tested patch

With this patch, I was able to successfully enroll and remove fingerprints, using gnome-about-me.
Comment 2 Matthias Clasen 2009-05-12 15:55:24 EDT
Created attachment 343655 [details]
specfile changes
Comment 3 Matthias Clasen 2009-05-13 19:17:34 EDT
Created attachment 343886 [details]
ported to 0.92
Comment 4 Bug Zapper 2009-06-09 10:51:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthias Clasen 2009-06-09 20:46:46 EDT
Fixed in fprintd-0.1-10.git04fd09cfa.fc12
Comment 6 Bastien Nocera 2009-08-10 10:11:36 EDT
Sent upstream with a few changes:
- re-add the polkit-policy-file-validate call, now that it's been ported
- add some error checking to polkit_authority_check_authorization_sync() fails

Note You need to log in before you can comment on or make changes to this bug.